<?php
	session_start();
	include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
	if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
	
	$StrId=V($_POST['TxtId']);
	$StrCmd=V($_POST['TxtAc']);
	//-------------------------
	$StrONE=trim(V($_GET['CmdB']));	
	//-------------------------
	$StrAlm=V($_POST['CboAlm']);		
	$StrCod=V($_POST['TxtCod']);		
	$StrDes=V($_POST['TxtDes']);
	$StrMar=V($_POST['CboMar']);
	$StrLin=V($_POST['TxtLin']);
	$Fab="";
	$Mod="";
	//
	$Fab_=LIKE($Fab);
	$Mod_=LIKE($Mod);
	
	$IdUsu=$_SESSION['SYS_USER_ID'];
	//	
	if(strlen($StrCmd)==0)$StrCmd=V($_GET['TxtAc']);
	if($StrCmd=="X" || strlen($StrCmd)==0){
		$StrLin="TODOS";
		$StrMar="TODOS";	
	}
	//-------------------------
	if($_SESSION['SYS_USER_ALM']=="%"){
		if(strlen($StrAlm)==0)$StrAlm=GetSO("alm_nombre","almacenes","","alm_nombre");
	}else{
		$StrAlm=$_SESSION['SYS_USER_ALM'];
	}
		
	$StrAlm=T($StrAlm);

	
	$StrCodT=$StrCod."%";
	$StrDesT=$StrDes."%";
	$StrMarT=$StrMar;
	$StrLin_=VCbo($StrLin);

	if($StrMarT=="TODOS") $StrMarT="%";
	//
	$FF="ID>0 AND COD LIKE '$StrCodT' AND DESCRIPCION LIKE '$StrDesT' AND ".
	    "MARCA LIKE '$StrMarT' AND FAB LIKE '$Fab_' AND MODELO LIKE '$Mod_' ";
	//
	$LStrTR=gn("count(*)","vproductos",$FF);
	$LStrPag=V($_POST['TxtPag']);	
	if($StrCmd=="F"){$LStrPag="1";}
	$VP_RegXPag=18;	
	$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
	//
	if($StrCmd=="PDF"){	
		//
		$TI="STOCK VALORIZADO POR PRECIO DE VENTA(MIN)";
		$s="SELECT COD,DESCRIPCION,FORMAT(PV_MIN,1),
			STOCK,FORMAT(PV_MIN * STOCK,1) 
			FROM v_stocks WHERE $FF ORDER BY DESCRIPCION,MARCA ";		
		$T="CODIGO,DESCRIPCION,PRECIO,STOCK,TOTAL";
		$E="12,44,9,6,11";
		$A=" 0, 0,1,2,2";		
		//
		$_ID=GenId("id","reportes");
		PDF_TIT($_ID,$TI);
		PDF_SQL($_ID,$s);
		PDF_CAM($_ID,$T);
		PDF_ESP($_ID,$E);
		PDF_ANC($_ID,$A);		
		$StrFilePDF=PDF_CREATE($_ID);
		$StrMsg="onload=\"alert('Ahora puede descargar el reporte');\"";			
	}			 

?>
<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Stock valorizado por precio de venta</title>
<!----------------------------------------->
<?php AddJs(); ?>
<script type="text/javascript" src="ja/funciones.js"></script>

<!----------------------------------------->
<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />
<link rel="stylesheet" type="text/css" href="css/mnu.css"  />

<!----------------------------------------->
<style type="text/css">
.cF {height:600px;width:1250px;position:relative;top:0px}
.mM {height:34px;width:1250px;position:relative;top:0px;background-color:#09C; z-index:500;}

</style>

<!----------------------------------------->
<script>
$(document).ready(function(){  
   Inicializar();
   jF("CboAlm");
});

function fGenPDF(){	
	document.getElementById("TxtAc").value="GEN_PDF";
	document.getElementById("Frm").submit();
}
$(document).keydown(function(e){
	var AT=gv("TxtAT");

	if(e.which==66 && e.altKey){
		if(AT=="1"){	
		document.getElementById("CmdB").click();
		return;
		}
	}

	if(e.which==86 && e.altKey){
		if(AT=="1"){
		document.getElementById("CmdZ").click();
		return;
		}
	}
  
});
</script>

<script language="javascript">
$(document).ready(function() {
	$(".botonExcel").click(function(event) {
		$("#datos_a_enviar").val( $("<div>").append( $("#Exportar_a_Excel").eq(0).clone()).html());
		$("#FormularioExportacion").submit();
});
});
</script>
<!----------------------------------------->

<body  <?php echo $LStrMsg;?>  >
<div align="center">

<div class="mM" align="left" style="font-size:12px">
<?php
$HTM=file_get_contents("http://inversionessounduniversal.com/ventas/phpmnu.php?USER_ID=$IdUsu");
echo $HTM;
?>
</div>

<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;" >
<form id="Frm" name="Frm" method="post" action="rep_stock_vpv.php" style="margin:0px; padding:0px; display:inline;" onSubmit="return false;">

<!----------------------------------------->
<div id="DivT" class="dT"  style="width:1250px;">
<img src="b.png" class="iT" />
<div class="tT">STOCK VALORIZADO POR PRECIO DE VENTA</div>
</div>

<!----------------------------------------->


<div class="s1" style="left: 35px; top: 115px; width: 102px;">
ALMACEN</div>
<select name="CboAlm" id="CboAlm" 
class="lt" style="left: 35px; top: 131px; width: 191px" 
tabindex="<?php echo ++$TI;?>">
<?php 
	if($IdUsu>=1  && V($_SESSION['SYS_USER_ALM'])!="%"){
		echo ListALM($StrAlm); 
	}else{
    	echo FCBO("alm_nombre","almacenes","id_almacen>0",$StrAlm,"N","N");		
    }
?>
</select>

<div class="s1" style="left: 234px; top: 115px; width: 52px;">
CODIGO</div>
<input name="TxtCod" type="text" id="TxtCod" 
class="lt" style="left: 234px; top: 131px; width: 95px" 
value="<?php echo $StrCod;?>"
tabindex="<?php echo ++$TI;?>"/>
<div class="s1" style="left: 339px; top: 115px; width: 473px;">
  DESCRIPCION</div>
<input name="TxtDes" type="text" id="TxtDes" 
class="lt" style="left: 339px; top: 131px; width: 541px"
value="<?php echo $StrDes;?>"  
tabindex="<?php echo ++$TI;?>"/>

<div class="s1" style="left: 890px; top: 115px; width: 141px;">
MARCA</div>
<select name="CboMar" id="CboMar" 
class="lt" style="left: 887px; top: 131px; width: 146px" 
tabindex="<?php echo ++$TI;?>">
<?php echo FCBO_("mar_nombre","marcas","id_marca>0",$StrMar,"S","N")?>  
</select>

<div class="s1" style="left: 1043px; top: 115px; width: 128px;">
LINEA</div>
<select name="TxtLin" id="TxtLin"
class="lt" style="left: 1040px; top: 131px; width: 135px" 
tabindex="<?php echo ++$TI;?>">
<?php echo FCBOO_("lin_nombre","lineas","id_linea>0",$StrLin,"S","","lin_nombre");?>
</select>

<!----------------------------------------->
<div id="DivBtn" align="left" style="position:absolute; left: 33px; top: 71px; width: 551px; height: 26px;">
<input name="CmdB" type="button" id="CmdB" class="btm"
value="Buscar" onClick="fFiltrar();"  
tabindex="<?php echo ++$TI;?>" />

<input name="CmdPDF" type="button" id="CmdPDF" class="btm" 
value="Generar PDF" onClick="fGenPDF();"
tabindex="<?php echo ++$TI;?>" />
</div>
    
<!----------------------------------------->


<div class="datagrid" style="position: absolute; left: 35px; top: 165px; width: 1180px; height: 416px; overflow: auto">
<table id="Exportar_a_Excel" width="75%">
<thead>
<tr>
<td colspan="7" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<tr height="18">
<th width="60" style="text-align:left; background:#999">CODIGO</th>
<th width="308" style="text-align:left; background:#999">DESCRIPCION</th>
<th width="129" style="text-align:left; background:#999">MARCA</th>
<th width="139"	style="text-align:left; background:#999">LINEA</th>
<th width="63" 	style="text-align:right; background:#999">STOCK</th>
<th width="63"  style="text-align:right; background:#999"">PRECIO</th>
<th width="76"  style="text-align:right; background:#999"">TOTAL</th>
</tr> 

</thead>
<tbody>

<?php	
	$IdAlm=gn("id_almacen","almacenes","alm_nombre='$StrAlm'");
	$StrTemp=$StrPag * $VP_RegXPag;
	$s="SELECT ID,COD,LINEA,DESCRIPCION,MARCA,LINEA,FORMAT(PV_MAX,1),FAB,MODELO
		FROM vproductos 
		WHERE $FF ORDER BY DESCRIPCION,MARCA ";		
	$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);
	$result = grs($s);
	while ($row = $result->fetch_row()){	
	$Stock=gn("stock","stocks","id_producto=$row[0] AND id_almacen=$IdAlm");
	$Tot= NF($Stock * $row[6],1);

	?>
	<tr>
	<td>'<?php echo $row[1];?></td>
	<td><?php echo vbl($row[3],42);?></td> 
	<td><?php echo vbl($row[4],16);?></td> 
	<td><?php echo vbl($row[5],20);?></td> 	
	<td align="right"><?php echo $Stock?></td>
	<td align="right"><?php echo $row[6]?></td>	
	<td align="right"><?php echo NF($Tot,1)?></td>
	</tr>	
	<?php

	$ST=$ST+$Tot;
	}
?>
<tr>
<td colspan="6" bgcolor="#999999" style="text-align:right">TOTAL</td>
<td width="76" bgcolor="#999999"  style="text-align:right"><span class="Estilo4"><?php echo NF($ST,1);?></span></td>
</tr>

</tbody>
</table>
</div>


<!----------------------------------------->    
<?php include("ocultos.php");?>

</form>

<form action="ficheroExcel.php" 
    method="post" target="_blank" id="FormularioExportacion" >
    
    <div style="position: absolute; left: 220px; top: 71px; width: 45px; height: 15px;">  
    <input name="" type="button" class="botonExcel btm" value="Exportar"  />
    <input type="hidden" id="datos_a_enviar" name="datos_a_enviar" />
    </div>
</form>

<?php
if($StrCmd=="GEN_PDF"){
	$_PDF=GEN_PDF($FF,$StrAlm,$StrCod,$StrDes,$StrMar,$StrLin,$Fab,$Mod);
	$StrDESCARGAR=$_PDF;
}

function GEN_PDF($w,$StrAlm,$StrCod,$StrDes,$StrMar,$StrLin,$Fab,$Mod){
$_CxL=90;
$_S=10;	

$pdf = new PDF('P','mm',A4);
$pdf->AddPage();$pdf->SetFont('courier','',10);
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"REPORTE DE STOCK VALORIZADO POR PRECIO DE VENTA",0,1);	
$pdf->Cell(0,4,"",0,1);	
//------------------------------------------

if(strlen($StrAlm)>0){
	$_ENC=vbl("ALMACEN".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrAlm.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrCod)>0){
	$_ENC=vbl("CODIGO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrCod.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrLin)>0){
	$_ENC=vbl("LINEA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrLin.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($Fab)>0){
	$_ENC=vbl("FABRICANTE".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($Fab.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($Mod)>0){
	$_ENC=vbl("MODELO".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($Mod.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrDes)>0){
	$_ENC=vbl("DESCRIPCION".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrDes.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}

if(strlen($StrMar)>0){
	$_ENC=vbl("MARCA".vbfill(" ",15),15)." ".vbl(":".vbfill(" ",1),1);
	$_ENC=$_ENC." ".vbl($StrMar.vbfill(" ",30),30);
	$pdf->Cell(0,4,$_ENC,0,1);	
}
$pdf->Cell(0,4,"",0,1);	
//
$_ENC=vbl("CODIGO".vbfill(" ",10),10);
$_ENC=$_ENC." ".vbl("FABRICANTE".vbfill(" ",14),14);
$_ENC=$_ENC." ".vbl("MODELO".vbfill(" ",14),14);
$_ENC=$_ENC." ".vbl("DESCRIPCION".vbfill(" ",24),24);
$_ENC=$_ENC." ".vbr(vbfill(" ",6)."STOCK",6);
$_ENC=$_ENC." ".vbr(vbfill(" ",6)."PRECIO",6);
$_ENC=$_ENC." ".vbr(vbfill(" ",10)."TOTAL",10);
//

$pdf->Cell(0,4,$_ENC,0,1);	
$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	
//
$IdAlm=gn("id_almacen","almacenes","alm_nombre='$StrAlm'");

$s="SELECT ID,COD,LINEA,DESCRIPCION,MARCA,FORMAT(PV_MAX,1) as A1,FAB,MODELO  
	FROM vproductos WHERE $w ORDER BY DESCRIPCION,MARCA ";	

$result = grs($s);
while ($row = $result->fetch_assoc()){
	$Stock=gn("stock","stocks","id_producto=".$row['ID']." AND id_almacen=$IdAlm");
	$Tot= NF($Stock * $row['A1'],1);
	//
	$_ENC=vbl($row['COD'].vbfill(" ",10),10);
	$_ENC=$_ENC." ".vbl($row['FAB'].vbfill(" ",14),14);
	$_ENC=$_ENC." ".vbl($row['MODELO'].vbfill(" ",14),14);	
	$_ENC=$_ENC." ".vbl($row['DESCRIPCION'].vbfill(" ",24),24);
	$_ENC=$_ENC." ".vbr(vbfill(" ",6).$Stock,6);
	$_ENC=$_ENC." ".vbr(vbfill(" ",6).NF2($row['A1'],1),6);
	$_ENC=$_ENC." ".vbr(vbfill(" ",10).NF2($Tot,1),10);
	//
	$pdf->Cell(0,4,$_ENC,0,1);	
	$TOT=$TOT+$Tot;
}

$pdf->Cell(0,4,vbfill("-",$_CxL),0,1);	

$_TI=vbr(vbfill(" ",75)."TOTAL :",75);
$_TD=vbr(vbfill(" ",14).NF2($TOT,1),14);
$pdf->Cell(0,4,$_TI." ".$_TD,0,1);	
$_S=20;
$pdf->Cell(0,4,"",0,1);	
$pdf->Cell(0,4,"",0,1);	
//
$PDF_NAME="Stock Valorizado por precio de Compra.pdf";
$pdf->Output($PDF_NAME);		
return $PDF_NAME;
}
?>

<?php
if(strlen($StrDESCARGAR)>0){
echo "<div id=\"layer51\" 
	  style=\"position:absolute; left: 223px; top: 102px; 
	  width: 88px; background-color: #FFCC00; layer-background-color: #FFCC00; 
	  border: 1px none #000000; height: 17px;\">";
echo "<div align=\"center\" class=\"Estilo2\"> ";
echo " <a href=\"$StrDESCARGAR\" download>Desc.PDF</a> ";
echo "</div>";
echo "</div>";
}
?>

</div>
</div>
</body>
</html>
